import request from "@/utils/request"

/** 分页列表 */
export function listRuralThreeAssets(query) {
  return request({
    url: "/dataModel/ruralThreeAssets/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getRuralThreeAssets(id) {
  return request({
    url: "/dataModel/ruralThreeAssets/" + id,
    method: "get"
  })
}

/** 新增 */
export function addRuralThreeAssets(data) {
  return request({
    url: "/dataModel/ruralThreeAssets",
    method: "post",
    data
  })
}

/** 修改 */
export function updateRuralThreeAssets(data) {
  return request({
    url: "/dataModel/ruralThreeAssets",
    method: "put",
    data
  })
}

/** 删除 */
export function delRuralThreeAssets(ids) {
  return request({
    url: "/dataModel/ruralThreeAssets/" + ids,
    method: "delete"
  })
}

/** 乡镇下拉 */
export function listRuralThreeAssetsTownOptions() {
  return request({
    url: "/dataModel/ruralThreeAssets/townOptions",
    method: "get"
  })
}

/** 县→乡镇→村树 */
export function listRuralThreeAssetsVillageTree() {
  return request({
    url: "/dataModel/ruralThreeAssets/villageTree",
    method: "get"
  })
}
